List agent MCP connections

List agent MCP connections. See the OpenAPI-defined parameters, request body, and responses below.

GET /AgentMcpConnection

List agent MCP connections. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Retorna as associações entre o agente informado e conectores MCP do tenant, incluindo o estado de habilitação e os nomes das ferramentas permitidas. Requer ViewAgents.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
agentIdqueryinteger · int32No——

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/AgentMcpConnection?agentId={agentId}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Conexões MCP do agente.application/json · array<AgentMcpConnectionDto>

Example response (200):

[
  {
    "id": 0,
    "agentId": 0,
    "connectorId": 0,
    "enabled": true,
    "allowedTools": [
      "string"
    ],
    "createdAt": "2026-09-22T18:00:00Z"
  }
]

Data models

AgentMcpConnectionDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
agentIdinteger · int32No—min: 1; max: 2147483647
connectorIdinteger · int32No—min: 1; max: 2147483647
enabledbooleanNo——
allowedToolsarray<string>Yes——
createdAtstring · date-timeNo——